## filesink filesink — write stream to a file |

## Synopsis

                        GstFileSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstFileSink

## Implemented Interfaces

GstFileSink implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "buffer-mode"              GstFileSinkBufferMode  : Read / Write
      "buffer-size"              guint                 : Read / Write

## Description

Write incoming data to a file in the local file system.

### Element Information

plugin | coreelements
author | Thomas <thomas@apestaart.org>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstFileSink

    typedef struct _GstFileSink GstFileSink;

Opaque GstFileSink structure.

## Property Details

### The "`location`" property

      "location"                 gchar*                : Read / Write

Location of the file to write.

Default value: NULL

### The "`buffer-mode`" property

      "buffer-mode"              GstFileSinkBufferMode  : Read / Write

The buffering mode to use.

Default value: Default buffering

### The "`buffer-size`" property

      "buffer-size"              guint                 : Read / Write

Size of buffer in number of bytes for line or full buffer-mode.

Default value: 65536

## See Also

GstFileSrc